is_file
is_readable
Filesystem Functions
PHP Manual

# is_link

(PHP 4, PHP 5)

is_link — Tells whether the filename is a symbolic link

### Description

bool is_link ( string `$filename` )

Tells whether the given file is a symbolic link.

### Parameters

`filename`

  Path to the file.

### Return Values

Returns `TRUE` if the filename exists and is a symbolic link, `FALSE` otherwise.

### Notes

> Note: The results of this function are cached. See clearstatcache() for more details.

Tip

As of PHP 5.0.0, this function can also be used with some URL wrappers. Refer to List of Supported Protocols/Wrappers for a listing of which wrappers support stat() family of functionality.

### See Also

- is_dir()
- is_file()
- readlink()

is_file
is_readable
Filesystem Functions
PHP Manual